From 060234f3981276e99a22e0281c83a4fced8fec01 Mon Sep 17 00:00:00 2001
From: Lucas de Sena <lucas@seninha.org>
Date: Tue, 22 Aug 2023 11:53:48 -0300
Subject: [PATCH] ignore minimized windows

---
 paginator.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/paginator.c b/paginator.c
index e23c49d..caea524 100644
--- a/paginator.c
+++ b/paginator.c
@@ -811,13 +811,23 @@ unmapclient(Pager *pager, Client *cp)
 	}
 }
 
+static bool
+isatdesk(Client *cp, Cardinal desk)
+{
+	if (cp->ishidden)
+		return false;
+	if (cp->desk == ALLDESKTOPS)
+		return true;
+	return (cp->desk == desk);
+}
+
 static void
 mapclient(Pager *pager, Client *cp)
 {
 	Cardinal i;
 
 	for (i = 0; i < pager->ndesktops; i++) {
-		if (cp->desk == ALLDESKTOPS || cp->desk == i) {
+		if (isatdesk(cp, i)) {
 			XMapWindow(pager->display, cp->miniwins[i]);
 		} else {
 			XUnmapWindow(pager->display, cp->miniwins[i]);
-- 
2.46.2

